---
layout: post
author: ryannystrom
title: Rebranding
---

In case you haven't looked into it, the app name "Freetime" ranks *really poorly* on the App Store. So bad, that if you just search the word "freetime", this app wont show up on the list before your fingers get tired from scrolling down...

I wanted to try and update my keywords to improve ranking, but my keywords:

```
github, open, source, notification, manager, git, pull, request, issue
```

were basically useless.

> Seriously, who is going to search "pull request"?

One of the core principles about marketing an app is that you have a *unique and meaningful name*. The name "freetime" is absolutely garbage, even if I have an attachment to it.

> Do open source in your "free time". Get it?

So I went back to the drawing board and did a _lot_ of brainstorming, trying to find a name that would:

- Convey something about the app's focus
- Be playful
- Unique (almost no apps that show up when searching just the name)
- Have an available .com domain
  - Appending "app" or "-app" (see [freetime-app.com](http://freetime-app.com)) is ok
- Have an available twitter handle
  - Only appending "app" is ok for me

For a few nights I mulled over some options...

![img_5445 jpg](https://user-images.githubusercontent.com/739696/29391536-f7fd6014-82c5-11e7-985a-f4b0a9bc6a2d.jpeg)

I used a few techniques to mine inspiration:

- Scanned the [GitHub topic on ProductHunt](https://www.producthunt.com/topics/github) and just took notes on unique names or keywords
- Searched the App Store for things like "GitHub", "Mail", "Inbox", "Notify" and collected some unique words
- Even searched Dribbble for the same words

I came up with a few leads that I liked:

- "Tree", "branch" and "twig" (playing on `git branch`)
- Something + "Box" since this is basically a mail/inbox-style app

> You have no idea how disappointed I was after finding there are no App Store results for "gitbox" to discover that [Gitbox](http://gitboxapp.com/) is a successful Mac app... 😭 

I also started circling the concept of "chirp" (derived from "notify"). That lead me to birds. What about "Git"+bird-something? I explored this a little and landed on this trifecta:

- There are **0 results** when searching "githawk" on the App Store. ✔️ uniqueness 
- The Twitter handle [@githawk](https://twitter.com/githawk) is available. Nabbed.
- The fucking domain [githawk.com](http://githawk.com) is available for only $10/y!! 😱

So without further adieu, Freetime will now be called **GitHawk**! 🎉 

I'll need to figure out what to do with the repo name. The Xcode project is going to keep the name Freetime in-memoriam.
